1 Reply Latest reply: Jan 21, 2013 8:40 AM by Niel
NieshaOh_SoPweedie Level 1 Level 1 (0 points)

Well here again i want to upgrade 

Mac OS X version 10.6.3 Snow Leopard

 

I have a Mac 10.4.11.. do i have to upgrade to the older versions before i get to snow leopard or DO i go staright to Snow leopard am confused cause i dont wana purchases the disc then it does work help help


iMac, Mac OS X (10.4.1)
  • 1. Re: Again :(
    Niel Level 10 Level 10 (242,130 points)

    You don't need any intermediate OS version when using a retail DVD, but do need to check that the computer meets the system requirements(an Intel Mac with at least 1GB RAM.)

     

    (74947)